Bug 1087565 - WARNING: CPU: 0 PID: 1 at lib/dma-debug.c:593 debug_dma_assert_idle+0x159/0x1d0()
Summary: WARNING: CPU: 0 PID: 1 at lib/dma-debug.c:593 debug_dma_assert_idle+0x159/0x1...
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-14 16:08 UTC by poma
Modified: 2014-09-01 13:06 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-01 13:06:37 UTC


Attachments (Terms of Use)
no sound - anaconda - boot.iso (8.92 KB, image/png)
2014-04-16 22:52 UTC, poma
no flags Details
dmesg 3.15.0-0.rc2.git1.1.fc21.i686 (5.51 KB, text/plain)
2014-04-23 00:33 UTC, poma
no flags Details
dmesg 3.15.0-0.rc2.git2.1.fc21.i686 hda_intel cacheline dma-debug (6.44 KB, text/plain)
2014-04-24 23:04 UTC, poma
no flags Details
dmesg 3.15.0-0.rc2.git3.1.fc21.i686 hda_intel cacheline dma-debug (3.15 KB, text/plain)
2014-04-25 10:36 UTC, poma
no flags Details
dmesg 3.15.0-0.rc3.git0.1.fc21.i686+debug hda_intel cacheline dma-debug (2.87 KB, text/plain)
2014-04-28 17:28 UTC, poma
no flags Details
dmesg 3.15.0-0.rc3.git1.1.fc21.i686 hda_intel cacheline dma-debug (2.90 KB, text/plain)
2014-04-29 21:07 UTC, poma
no flags Details
dmesg 3.15.0-0.rc3.git1.10.fc21.i686 hda_intel cacheline dma-debug (2.81 KB, text/plain)
2014-04-30 03:56 UTC, poma
no flags Details
dmesg 3.15.0-0.rc3.git3.1.fc21.i686 hda_intel cacheline dma-debug (3.07 KB, text/plain)
2014-05-05 03:58 UTC, poma
no flags Details
dmesg 3.15.0-0.rc3.git4.1.fc21.i686 hda_intel cacheline dma-debug (3.20 KB, text/plain)
2014-05-05 04:00 UTC, poma
no flags Details
dmesg 3.15.0-0.rc3.git5.1.fc21.i686 hda_intel cacheline dma-debug (3.18 KB, text/plain)
2014-05-05 04:01 UTC, poma
no flags Details
dmesg 3.15.0-0.rc3.git5.3.fc21.i686 hda_intel cacheline dma-debug (7.14 KB, text/plain)
2014-05-05 04:02 UTC, poma
no flags Details
dmesg 3.15.0-0.rc4.git0.1.fc21.i686+debug hda_intel cacheline dma-debug (7.10 KB, text/plain)
2014-05-06 01:37 UTC, poma
no flags Details
dmesg-3.15.0-0.rc4.git2.1.fc21.i686 hda_intel cacheline dma-debug (3.08 KB, text/plain)
2014-05-11 09:53 UTC, poma
no flags Details
dmesg-3.15.0-0.rc4.git3.1.fc21.i686 hda_intel cacheline dma-debug (7.29 KB, text/plain)
2014-05-11 09:53 UTC, poma
no flags Details
dmesg-3.15.0-0.rc4.git4.1.fc21.i686 hda_intel cacheline dma-debug (2.87 KB, text/plain)
2014-05-11 09:54 UTC, poma
no flags Details
dmesg-3.15.0-0.rc5.git0.1.fc21.i686+debug hda_intel cacheline dma-debug (2.86 KB, text/plain)
2014-05-11 09:54 UTC, poma
no flags Details

Description poma 2014-04-14 16:08:08 UTC
[    0.000000] Linux version 3.15.0-0.rc0.git12.1.fc21.i686 (mockbuild@bkernel02) (gcc version 4.9.0 20140411 (Red Hat 4.9.0-0.10) (GCC) ) #1 SMP Sat Apr 12 18:38:04 UTC 2014
[    0.000000] Kernel command line: BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:CDLABEL=Fedora-Live-Xfce-i686-rawhide-20 rootfstype=auto ro rd.live.image
...
[   52.603246] ------------[ cut here ]------------
[   52.603546] WARNING: CPU: 0 PID: 1 at lib/dma-debug.c:593 debug_dma_assert_idle+0x159/0x1d0()
[   52.603823] snd_hda_intel 0000:00:07.0: DMA-API: cpu touching an active dma mapped cacheline [cln=0x03019000]
[   52.604226] Modules linked in: raid1 kvm_amd kvm ppdev tuner_simple tuner_types wm8775 tda9887 tda8290 snd_hda_codec_realtek snd_hda_codec_generic tuner cx25840 microcode mxl5007t snd_hda_intel snd_hda_controller ivtv af9013 snd_hda_codec serio_raw dvb_usb_af9015 tveeprom cx2341x dvb_usb_v2 snd_hwdep v4l2_common dvb_core snd_seq k10temp videodev snd_seq_device snd_pcm parport_serial rc_core uas parport_pc media parport snd_timer snd i2c_nforce2 soundcore acpi_cpufreq nfsd auth_rpcgss nfs_acl lockd isofs squashfs ata_generic pata_acpi nouveau mxm_wmi video i2c_algo_bit drm_kms_helper ttm drm i2c_core r8169 pata_amd mii skge wmi usb_storage sunrpc loop
[   52.606037] CPU: 0 PID: 1 Comm: systemd Not tainted 3.15.0-0.rc0.git12.1.fc21.i686 #1
[   52.606590] Hardware name: Gigabyte Technology Co., Ltd. M720-US3/M720-US3, BIOS F7n 09/07/2010
[   52.607183]  00000000 b770cad9 00000000 f1d73df0 c0ae244d f1d73e34 f1d73e24 c0454252
[   52.607780]  c0ce98b8 f1d73e54 00000001 c0ce7777 00000251 c0750cf9 00000251 c0750cf9
[   52.608371]  f158a900 f0f63760 03019000 f1d73e40 c04542ae 00000009 f1d73e34 c0ce98b8
[   52.608980] Call Trace:
[   52.609549]  [<c0ae244d>] dump_stack+0x48/0x60
[   52.610125]  [<c0454252>] warn_slowpath_common+0x82/0xa0
[   52.610695]  [<c0750cf9>] ? debug_dma_assert_idle+0x159/0x1d0
[   52.611256]  [<c0750cf9>] ? debug_dma_assert_idle+0x159/0x1d0
[   52.611830]  [<c04542ae>] warn_slowpath_fmt+0x3e/0x60
[   52.612385]  [<c0750cf9>] debug_dma_assert_idle+0x159/0x1d0
[   52.612949]  [<c0585a09>] ? anon_vma_prepare+0x29/0x140
[   52.613499]  [<c0579e3e>] do_wp_page+0xce/0x890
[   52.614049]  [<c0640065>] ? ext4_da_invalidatepage+0x175/0x3c0
[   52.614587]  [<c057c442>] handle_mm_fault+0x662/0xb70
[   52.615140]  [<c0640065>] ? ext4_da_invalidatepage+0x175/0x3c0
[   52.615687]  [<c0aee3e7>] __do_page_fault+0x1a7/0x5d0
[   52.616226]  [<c04adacc>] ? trace_hardirqs_on_caller+0x13c/0x1e0
[   52.616779]  [<c0aee810>] ? __do_page_fault+0x5d0/0x5d0
[   52.617323]  [<c0aee82a>] do_page_fault+0x1a/0x20
[   52.617878]  [<c0aeb224>] error_code+0x6c/0x74
[   52.618420] ---[ end trace 8ac67c64e5c62b4e ]---
[   52.618969] Mapped at:
[   52.619511]  [<c074eda2>] debug_dma_alloc_coherent+0x22/0x70
[   52.620081]  [<f90d3e90>] snd_dma_alloc_pages+0x170/0x260 [snd_pcm]
[   52.620644]  [<f90d3fe2>] snd_dma_alloc_pages_fallback+0x62/0x90 [snd_pcm]
[   52.621207]  [<f90d43b0>] snd_malloc_sgbuf_pages+0xf0/0x211 [snd_pcm]
[   52.621778]  [<f90d3f23>] snd_dma_alloc_pages+0x203/0x260 [snd_pcm]
...

Comment 1 poma 2014-04-14 17:32:48 UTC
[    0.000000] Linux version 3.15.0-0.rc0.git13.1.fc21.i686 (mockbuild@bkernel02) (gcc version 4.9.0 20140411 (Red Hat 4.9.0-0.10) (GCC) ) #1 SMP Sun Apr 13 21:13:40 UTC 2014
[    0.000000] Kernel command line: BOOT_IMAGE=vmlinuz initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x20rawhide\x20i386 
...
[   83.024176] ------------[ cut here ]------------
[   83.024187] WARNING: CPU: 0 PID: 1087 at lib/dma-debug.c:593 debug_dma_assert_idle+0x159/0x1d0()
[   83.024190] ahci 0000:00:09.0: DMA-API: cpu touching an active dma mapped cacheline [cln=0x03001000]
[   83.024192] Modules linked in: fcoe libfcoe libfc scsi_transport_fc scsi_tgt cfg80211 rfkill microcode parport_serial parport_pc serio_raw parport i2c_nforce2 acpi_cpufreq loop nls_utf8 isofs ata_generic pata_acpi nouveau mxm_wmi video i2c_algo_bit drm_kms_helper ttm drm i2c_core r8169 skge mii pata_amd wmi uas usb_storage sunrpc dm_crypt dm_round_robin linear raid10 raid456 async_raid6_recov async_memcpy async_pq raid6_pq async_xor xor async_tx raid1 raid0 iscsi_ibft iscsi_boot_sysfs floppy scsi_dh_rdac scsi_dh_hp_sw scsi_dh_emc scsi_dh_alua iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi squashfs cramfs edd dm_multipath
[   83.024245] CPU: 0 PID: 1087 Comm: anaconda Not tainted 3.15.0-0.rc0.git13.1.fc21.i686 #1
[   83.024248] Hardware name: Gigabyte Technology Co., Ltd. M720-US3/M720-US3, BIOS F7n 09/07/2010
[   83.024250]  00000000 f056ca09 00000000 e770bdf0 c0ae271d e770be34 e770be24 c0454402
[   83.024256]  c0ce83fc e770be54 0000043f c0ce62bb 00000251 c0750d39 00000251 c0750d39
[   83.024262]  f1563300 f0888110 03001000 e770be40 c045445e 00000009 e770be34 c0ce83fc
[   83.024268] Call Trace:
[   83.024274]  [<c0ae271d>] dump_stack+0x48/0x60
[   83.024279]  [<c0454402>] warn_slowpath_common+0x82/0xa0
[   83.024283]  [<c0750d39>] ? debug_dma_assert_idle+0x159/0x1d0
[   83.024286]  [<c0750d39>] ? debug_dma_assert_idle+0x159/0x1d0
[   83.024289]  [<c045445e>] warn_slowpath_fmt+0x3e/0x60
[   83.024292]  [<c0750d39>] debug_dma_assert_idle+0x159/0x1d0
[   83.024297]  [<c0586089>] ? anon_vma_prepare+0x29/0x140
[   83.024300]  [<c057a4be>] do_wp_page+0xce/0x890
[   83.024303]  [<c057cac2>] handle_mm_fault+0x662/0xb70
[   83.024307]  [<c0aee6b7>] __do_page_fault+0x1a7/0x5d0
[   83.024311]  [<c05b74bc>] ? vfs_write+0x14c/0x1c0
[   83.024315]  [<c04adc7c>] ? trace_hardirqs_on_caller+0x13c/0x1e0
[   83.024318]  [<c05b7b80>] ? SyS_write+0x80/0xc0
[   83.024321]  [<c0aeeae0>] ? __do_page_fault+0x5d0/0x5d0
[   83.024323]  [<c0aeeafa>] do_page_fault+0x1a/0x20
[   83.024327]  [<c0aeb4f4>] error_code+0x6c/0x74
[   83.024329] ---[ end trace 95a0e6285e168e81 ]---
[   83.024331] Mapped at:
[   83.024332]  [<c074ede2>] debug_dma_alloc_coherent+0x22/0x70
[   83.024336]  [<c084708b>] dmam_alloc_coherent+0xdb/0x130
[   83.024340]  [<c089153d>] ahci_port_start+0xed/0x220
[   83.024343]  [<c0876f0b>] ata_host_start.part.21+0xcb/0x1b0
[   83.024347]  [<c087c6a5>] ata_host_activate+0x45/0x100
...

Comment 2 poma 2014-04-14 17:39:54 UTC
As well as you can see this is a 32 bit kernel peculiarity on a 64 bit metal.

Comment 3 poma 2014-04-16 18:24:22 UTC
3.15.0-0.rc1.git1.1.fc21.i686  PASSED

Comment 4 poma 2014-04-16 21:59:00 UTC
(In reply to poma from comment #3)
> 3.15.0-0.rc1.git1.1.fc21.i686  PASSED

Hah!
This kernel goes with
boot.iso  16-Apr-2014 15:17  425M
and there is no sound modules there!

Comment 5 poma 2014-04-16 22:01:19 UTC
http://koji.fedoraproject.org/koji/taskinfo?taskID=6747002

- checkisomd5:
Fedora-Live-Xfce-i686-rawhide-20140416.iso:   73a1ee15f3993a49ade8d4258be7602c
Fragment sums: f1f19848861ba2a48dcfbfe261c0559d009fbdd292da2cd9253c2ab8a5f8
Fragment count: 20
Press [Esc] to abort check.
Checking: 100.0%

The media check is complete, the result is: PASS.

It is OK to use this media.


- dmesg / 3.15.0-0.rc1.git1.1.fc21.i686:

[   44.121079] ------------[ cut here ]------------
[   44.121127] ------------[ cut here ]------------
[   44.121134] WARNING: CPU: 3 PID: 900 at lib/dma-debug.c:593 debug_dma_assert_idle+0x159/0x1d0()
[   44.121135] snd_hda_intel 0000:00:07.0: DMA-API: cpu touching an active dma mapped cacheline [cln=0x03014000]
[   44.121160] Modules linked in: ppdev tuner_simple kvm_amd tuner_types wm8775 kvm tda9887 tda8290 snd_hda_codec_realtek snd_hda_codec_generic tuner cx25840 mxl5007t snd_hda_intel af9013 ivtv snd_hda_controller microcode snd_hda_codec dvb_usb_af9015 dvb_usb_v2 tveeprom snd_hwdep cx2341x dvb_core snd_seq v4l2_common videodev serio_raw snd_seq_device rc_core snd_pcm uas k10temp parport_serial media parport_pc snd_timer parport snd soundcore i2c_nforce2 acpi_cpufreq isofs squashfs ata_generic pata_acpi nouveau mxm_wmi video i2c_algo_bit drm_kms_helper ttm drm skge r8169 mii i2c_core pata_amd wmi usb_storage sunrpc loop
[   44.121163] CPU: 3 PID: 900 Comm: chronyd Not tainted 3.15.0-0.rc1.git1.1.fc21.i686 #1
[   44.121164] Hardware name: Gigabyte Technology Co., Ltd. M720-US3/M720-US3, BIOS F7n 09/07/2010
[   44.121167]  00000000 15b4724d 00000000 f53f5d9c c0ae256d f53f5de0 f53f5dd0 c0454402
[   44.121169]  c0ce8400 f53f5e00 00000384 c0ce62bf 00000251 c0750b69 00000251 c0750b69
[   44.121172]  f1f396f0 f101f9c0 03014000 f53f5dec c045445e 00000009 f53f5de0 c0ce8400
[   44.121172] Call Trace:
[   44.121177]  [<c0ae256d>] dump_stack+0x48/0x60
[   44.121180]  [<c0454402>] warn_slowpath_common+0x82/0xa0
[   44.121182]  [<c0750b69>] ? debug_dma_assert_idle+0x159/0x1d0
[   44.121184]  [<c0750b69>] ? debug_dma_assert_idle+0x159/0x1d0
[   44.121185]  [<c045445e>] warn_slowpath_fmt+0x3e/0x60
[   44.121187]  [<c0750b69>] debug_dma_assert_idle+0x159/0x1d0
[   44.121191]  [<c05860b9>] ? anon_vma_prepare+0x29/0x140
[   44.121193]  [<c057a4ee>] do_wp_page+0xce/0x890
[   44.121195]  [<c0500045>] ? auditsc_get_stamp+0x45/0x70
[   44.121197]  [<c057caf2>] handle_mm_fault+0x662/0xb70
[   44.121227]  [<c0500045>] ? auditsc_get_stamp+0x45/0x70
[   44.121229]  [<c0aee507>] __do_page_fault+0x1a7/0x5d0
[   44.121231]  [<c040ace8>] ? sched_clock+0x8/0x10
[   44.121232]  [<c040ace8>] ? sched_clock+0x8/0x10
[   44.121234]  [<c04ab036>] ? lock_release_holdtime.part.28+0x96/0xf0
[   44.121236]  [<c0aee930>] ? __do_page_fault+0x5d0/0x5d0
[   44.121237]  [<c0aee94a>] do_page_fault+0x1a/0x20
[   44.121239]  [<c0aeb344>] error_code+0x6c/0x74
[   44.121242]  [<c07334b6>] ? __put_user_4+0x1a/0x24
[   44.121244]  [<c048d280>] ? schedule_tail+0x60/0xa0
[   44.121246]  [<c0af3746>] ret_from_fork+0x6/0x20
[   44.121247] ---[ end trace d31d73481e988403 ]---
[   44.121247] Mapped at:
[   44.121250]  [<c074ec12>] debug_dma_alloc_coherent+0x22/0x70
[   44.121257]  [<f812de90>] snd_dma_alloc_pages+0x170/0x260 [snd_pcm]
[   44.121262]  [<f812dfe2>] snd_dma_alloc_pages_fallback+0x62/0x90 [snd_pcm]
[   44.121266]  [<f812e3b0>] snd_malloc_sgbuf_pages+0xf0/0x211 [snd_pcm]
[   44.121270]  [<f812df23>] snd_dma_alloc_pages+0x203/0x260 [snd_pcm]
[   44.162006] WARNING: CPU: 2 PID: 873 at lib/dma-debug.c:593 debug_dma_assert_idle+0x159/0x1d0()
[   44.163019] snd_hda_intel 0000:00:07.0: DMA-API: cpu touching an active dma mapped cacheline [cln=0x03014000]
[   44.164044] Modules linked in: ppdev tuner_simple kvm_amd tuner_types wm8775 kvm tda9887 tda8290 snd_hda_codec_realtek snd_hda_codec_generic tuner cx25840 mxl5007t snd_hda_intel af9013 ivtv snd_hda_controller microcode snd_hda_codec dvb_usb_af9015 dvb_usb_v2 tveeprom snd_hwdep cx2341x dvb_core snd_seq v4l2_common videodev serio_raw snd_seq_device rc_core snd_pcm uas k10temp parport_serial media parport_pc snd_timer parport snd soundcore i2c_nforce2 acpi_cpufreq isofs squashfs ata_generic pata_acpi nouveau mxm_wmi video i2c_algo_bit drm_kms_helper ttm drm skge r8169 mii i2c_core pata_amd wmi usb_storage sunrpc loop
[   44.167652] CPU: 2 PID: 873 Comm: chronyd Tainted: G        W     3.15.0-0.rc1.git1.1.fc21.i686 #1
[   44.168747] Hardware name: Gigabyte Technology Co., Ltd. M720-US3/M720-US3, BIOS F7n 09/07/2010
[   44.169848]  00000000 d8c4c0ad 00000000 ed85bdf0 c0ae256d ed85be34 ed85be24 c0454402
[   44.170994]  c0ce8400 ed85be54 00000369 c0ce62bf 00000251 c0750b69 00000251 c0750b69
[   44.172167]  f1f396f0 f101f9c0 03014000 ed85be40 c045445e 00000009 ed85be34 c0ce8400
[   44.173353] Call Trace:
[   44.174509]  [<c0ae256d>] dump_stack+0x48/0x60
[   44.175655]  [<c0454402>] warn_slowpath_common+0x82/0xa0
[   44.176806]  [<c0750b69>] ? debug_dma_assert_idle+0x159/0x1d0
[   44.177947]  [<c0750b69>] ? debug_dma_assert_idle+0x159/0x1d0
[   44.179094]  [<c045445e>] warn_slowpath_fmt+0x3e/0x60
[   44.180226]  [<c0750b69>] debug_dma_assert_idle+0x159/0x1d0
[   44.181371]  [<c05860b9>] ? anon_vma_prepare+0x29/0x140
[   44.182531]  [<c057a4ee>] do_wp_page+0xce/0x890
[   44.183667]  [<c0500065>] ? auditsc_get_stamp+0x65/0x70
[   44.184800]  [<c057caf2>] handle_mm_fault+0x662/0xb70
[   44.185951]  [<c0500065>] ? auditsc_get_stamp+0x65/0x70
[   44.187089]  [<c0aee507>] __do_page_fault+0x1a7/0x5d0
[   44.188230]  [<c04ff7dc>] ? __audit_syscall_entry+0x8c/0xe0
[   44.189368]  [<c04add2b>] ? trace_hardirqs_on+0xb/0x10
[   44.190530]  [<c04adc7c>] ? trace_hardirqs_on_caller+0x13c/0x1e0
[   44.191707]  [<c0aee930>] ? __do_page_fault+0x5d0/0x5d0
[   44.192900]  [<c0aee94a>] do_page_fault+0x1a/0x20
[   44.194096]  [<c0aeb344>] error_code+0x6c/0x74
[   44.195249] ---[ end trace d31d73481e988404 ]---
[   44.196369] Mapped at:
[   44.197468]  [<c074ec12>] debug_dma_alloc_coherent+0x22/0x70
[   44.198555]  [<f812de90>] snd_dma_alloc_pages+0x170/0x260 [snd_pcm]
[   44.199647]  [<f812dfe2>] snd_dma_alloc_pages_fallback+0x62/0x90 [snd_pcm]
[   44.200746]  [<f812e3b0>] snd_malloc_sgbuf_pages+0xf0/0x211 [snd_pcm]
[   44.201797]  [<f812df23>] snd_dma_alloc_pages+0x203/0x260 [snd_pcm]


- lsmod / snd:
snd_hda_codec_realtek    60841  1 
snd_hda_codec_generic    61750  1 snd_hda_codec_realtek
snd_hda_intel          29236  4 
snd_hda_controller     29232  1 snd_hda_intel
snd_hda_codec         121612  4 snd_hda_codec_realtek,snd_hda_codec_generic,snd_hda_intel,snd_hda_controller
snd_hwdep              13232  1 snd_hda_codec
snd_seq                56148  0 
snd_seq_device         13824  1 snd_seq
snd_pcm                91889  3 snd_hda_codec,snd_hda_intel,snd_hda_controller
snd_timer              27994  2 snd_pcm,snd_seq
snd                    63717  17 snd_hda_codec_realtek,snd_hwdep,snd_timer,snd_pcm,snd_seq,snd_hda_codec_generic,snd_hda_codec,snd_hda_intel,snd_seq_device
soundcore              14128  2 snd,snd_hda_codec

Comment 6 Josh Boyer 2014-04-16 22:20:35 UTC
I have no idea what you mean by no sound modules.  They're all clearly in the RPM on koji.

Comment 7 poma 2014-04-16 22:52:31 UTC
Created attachment 887013 [details]
no sound - anaconda - boot.iso

(In reply to Josh Boyer from comment #6)
> I have no idea what you mean by no sound modules.  They're all clearly in
> the RPM on koji.

The snake is mute so the sound bug remains hidden, unlike the Live image.

Comment 8 poma 2014-04-17 17:13:05 UTC
3.15.0-0.rc1.git2.1.fc21.i686  PASSED

Let stand open until rc2!

Comment 9 poma 2014-04-22 04:44:32 UTC
3.15.0-0.rc1.git4.1.fc21.i686 &
3.15.0-0.rc2.git0.1.fc21.i686+debug
Sounds good.

Comment 10 poma 2014-04-23 00:33:42 UTC
Created attachment 888686 [details]
dmesg 3.15.0-0.rc2.git1.1.fc21.i686


Here we go again.

Comment 11 poma 2014-04-23 00:37:19 UTC
------------[ cut here ]------------
WARNING: CPU: 2 PID: 521 at lib/dma-debug.c:593 debug_dma_assert_idle+0x159/0x1d0()
snd_hda_intel 0000:00:07.0: DMA-API: cpu touching an active dma mapped cacheline [cln=0x03019000]
------------[ cut here ]------------
WARNING: CPU: 3 PID: 927 at lib/dma-debug.c:593 debug_dma_assert_idle+0x159/0x1d0()
snd_hda_intel 0000:00:07.0: DMA-API: cpu touching an active dma mapped cacheline [cln=0x03019000]

CPU: 3 PID: 927 Comm: firewalld Not tainted 3.15.0-0.rc2.git1.1.fc21.i686 #1

Call Trace:

 [<c0ae29dd>] dump_stack+0x48/0x60

 [<c0454402>] warn_slowpath_common+0x82/0xa0

 [<c0750e09>] ? debug_dma_assert_idle+0x159/0x1d0

 [<c0750e09>] ? debug_dma_assert_idle+0x159/0x1d0

 [<c045445e>] warn_slowpath_fmt+0x3e/0x60

 [<c0750e09>] debug_dma_assert_idle+0x159/0x1d0

 [<c0586189>] ? anon_vma_prepare+0x29/0x140

 [<c057a5be>] do_wp_page+0xce/0x890

 [<c0640065>] ? ext4_releasepage+0x95/0x130

 [<c057cbc2>] handle_mm_fault+0x662/0xb70

 [<c0640065>] ? ext4_releasepage+0x95/0x130

 [<c0aee997>] __do_page_fault+0x1a7/0x5d0

 [<c04adcac>] ? trace_hardirqs_on_caller+0x13c/0x1e0

 [<c04ff83c>] ? __audit_syscall_entry+0x8c/0xe0

 [<c04add5b>] ? trace_hardirqs_on+0xb/0x10

 [<c04adcac>] ? trace_hardirqs_on_caller+0x13c/0x1e0

 [<c04adcac>] ? trace_hardirqs_on_caller+0x13c/0x1e0

 [<c0aeedc0>] ? __do_page_fault+0x5d0/0x5d0

 [<c0aeedda>] do_page_fault+0x1a/0x20

 [<c0aeb7b4>] error_code+0x6c/0x74
---[ end trace 0464944e27da06b8 ]---
Mapped at:
 
[<c074eeb2>] debug_dma_alloc_coherent+0x22/0x70
 
[<f839de90>] snd_dma_alloc_pages+0x170/0x260 [snd_pcm]
 
[<f839dfe2>] snd_dma_alloc_pages_fallback+0x62/0x90 [snd_pcm]
 
[<f839e3b0>] snd_malloc_sgbuf_pages+0xf0/0x211 [snd_pcm]
 
[<f839df23>] snd_dma_alloc_pages+0x203/0x260 [snd_pcm]
CPU: 2 PID: 521 Comm: firewalld Tainted: G        W     3.15.0-0.rc2.git1.1.fc21.i686 #1
Call Trace:
 [<c0ae29dd>] dump_stack+0x48/0x60
 [<c0454402>] warn_slowpath_common+0x82/0xa0
 [<c0750e09>] ? debug_dma_assert_idle+0x159/0x1d0
 [<c0750e09>] ? debug_dma_assert_idle+0x159/0x1d0
 [<c045445e>] warn_slowpath_fmt+0x3e/0x60
 [<c0750e09>] debug_dma_assert_idle+0x159/0x1d0
 [<c0586189>] ? anon_vma_prepare+0x29/0x140
 [<c057a5be>] do_wp_page+0xce/0x890
 [<c0640065>] ? ext4_releasepage+0x95/0x130
 [<c057cbc2>] handle_mm_fault+0x662/0xb70
 [<c0640065>] ? ext4_releasepage+0x95/0x130
 [<c0aee997>] __do_page_fault+0x1a7/0x5d0
 [<c04ff83c>] ? __audit_syscall_entry+0x8c/0xe0
 [<c04add5b>] ? trace_hardirqs_on+0xb/0x10
 [<c04adcac>] ? trace_hardirqs_on_caller+0x13c/0x1e0
 [<c0aeedc0>] ? __do_page_fault+0x5d0/0x5d0
 [<c0aeedda>] do_page_fault+0x1a/0x20
 [<c0aeb7b4>] error_code+0x6c/0x74
---[ end trace 0464944e27da06b9 ]---
Mapped at:
 [<c074eeb2>] debug_dma_alloc_coherent+0x22/0x70
 [<f839de90>] snd_dma_alloc_pages+0x170/0x260 [snd_pcm]
 [<f839dfe2>] snd_dma_alloc_pages_fallback+0x62/0x90 [snd_pcm]
 [<f839e3b0>] snd_malloc_sgbuf_pages+0xf0/0x211 [snd_pcm]
 [<f839df23>] snd_dma_alloc_pages+0x203/0x260 [snd_pcm]

Comment 12 poma 2014-04-24 23:04:04 UTC
Created attachment 889478 [details]
dmesg 3.15.0-0.rc2.git2.1.fc21.i686 hda_intel cacheline dma-debug

Comment 13 poma 2014-04-25 10:36:56 UTC
Created attachment 889645 [details]
dmesg 3.15.0-0.rc2.git3.1.fc21.i686 hda_intel cacheline dma-debug

Comment 14 poma 2014-04-28 17:28:01 UTC
Created attachment 890536 [details]
dmesg 3.15.0-0.rc3.git0.1.fc21.i686+debug hda_intel cacheline dma-debug

Comment 15 poma 2014-04-29 21:07:30 UTC
Created attachment 890941 [details]
dmesg 3.15.0-0.rc3.git1.1.fc21.i686 hda_intel cacheline dma-debug


Referent commit
dma debug: account for cachelines and read-only mappings in overlap tracking
https://git.kernel.org/cgit/linux/kernel/git/next/linux-next.git/commit/lib/dma-debug.c?id=3b7a641

Comment 16 poma 2014-04-30 03:56:42 UTC
Created attachment 890999 [details]
dmesg 3.15.0-0.rc3.git1.10.fc21.i686 hda_intel cacheline dma-debug

Comment 17 poma 2014-05-01 05:01:40 UTC
3.15.0-0.rc3.git3.1.fc21.i686  PASSED

Referent commit
ALSA: hda - Suppress CORBRP clear on Nvidia controller chips
https://git.kernel.org/cgit/linux/kernel/git/next/linux-next.git/commit/sound/pci/hda?id=6ba736d

Comment 18 poma 2014-05-05 03:58:28 UTC
Created attachment 892371 [details]
dmesg 3.15.0-0.rc3.git3.1.fc21.i686 hda_intel cacheline dma-debug


The truth is that sometimes it takes more than a few reboot for the bug to occur.

Comment 19 poma 2014-05-05 04:00:35 UTC
Created attachment 892372 [details]
dmesg 3.15.0-0.rc3.git4.1.fc21.i686 hda_intel cacheline dma-debug

Comment 20 poma 2014-05-05 04:01:22 UTC
Created attachment 892373 [details]
dmesg 3.15.0-0.rc3.git5.1.fc21.i686 hda_intel cacheline dma-debug

Comment 21 poma 2014-05-05 04:02:35 UTC
Created attachment 892374 [details]
dmesg 3.15.0-0.rc3.git5.3.fc21.i686 hda_intel cacheline dma-debug

Comment 22 poma 2014-05-06 01:37:43 UTC
Created attachment 892746 [details]
dmesg 3.15.0-0.rc4.git0.1.fc21.i686+debug hda_intel cacheline dma-debug

Comment 23 poma 2014-05-07 10:08:52 UTC
3.15.0-0.rc4.git1.1.fc21.i686  PASSED

Comment 24 poma 2014-05-11 09:53:02 UTC
Created attachment 894387 [details]
dmesg-3.15.0-0.rc4.git2.1.fc21.i686 hda_intel cacheline dma-debug

Comment 25 poma 2014-05-11 09:53:48 UTC
Created attachment 894388 [details]
dmesg-3.15.0-0.rc4.git3.1.fc21.i686 hda_intel cacheline dma-debug

Comment 26 poma 2014-05-11 09:54:25 UTC
Created attachment 894389 [details]
dmesg-3.15.0-0.rc4.git4.1.fc21.i686 hda_intel cacheline dma-debug

Comment 27 poma 2014-05-11 09:54:59 UTC
Created attachment 894390 [details]
dmesg-3.15.0-0.rc5.git0.1.fc21.i686+debug hda_intel cacheline dma-debug

Comment 28 poma 2014-05-17 13:23:19 UTC
There isn't much response from devs, isn't it.
If any at all.

Comment 29 poma 2014-08-30 00:42:47 UTC
[   44.928962] ------------[ cut here ]------------
[   44.928974] WARNING: CPU: 1 PID: 1180 at lib/dma-debug.c:593 debug_dma_assert_idle+0x159/0x1d0()
[   44.928977] ahci 0000:00:09.0: DMA-API: cpu touching an active dma mapped cacheline [cln=0x03001000]
[   44.928979] Modules linked in: ip6t_rpfilter ip6t_REJECT xt_conntrack cfg80211 rfkill ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw mt7601Usta(OE) nouveau kvm_amd ata_generic kvm uas pata_acpi ppdev mxm_wmi parport_serial video usb_storage k10temp r8169 i2c_algo_bit ttm drm_kms_helper serio_raw microcode parport_pc skge parport mii drm wmi i2c_nforce2 i2ccore pata_amd acpi_cpufreq sunrpc
...
[   44.929030] CPU: 1 PID: 1180 Comm: gmain Tainted: G           OE  3.17.0-0.rc2.git3.1.fc22.i686 #1
[   44.929052] Call Trace:
[   44.929059]  [<c0b137d8>] dump_stack+0x48/0x60
[   44.929063]  [<c0459092>] warn_slowpath_common+0x82/0xa0
[   44.929066]  [<c076c1e9>] ? debug_dma_assert_idle+0x159/0x1d0
[   44.929069]  [<c076c1e9>] ? debug_dma_assert_idle+0x159/0x1d0
[   44.929072]  [<c04590ee>] warn_slowpath_fmt+0x3e/0x60
[   44.929074]  [<c076c1e9>] debug_dma_assert_idle+0x159/0x1d0
[   44.929078]  [<c059b8a9>] ? anon_vma_prepare+0x29/0x140
[   44.929082]  [<c0590524>] do_wp_page+0xe4/0x8c0
[   44.929085]  [<c0592722>] handle_mm_fault+0x662/0xba0
[   44.929089]  [<c0447237>] ? __do_page_fault+0x1a7/0x5d0
[   44.929093]  [<c0447298>] __do_page_fault+0x208/0x5d0
[   44.929096]  [<c058ebd1>] ? might_fault+0x51/0xb0
[   44.929099]  [<c058ec27>] ? might_fault+0xa7/0xb0
[   44.929102]  [<c074dbb0>] ? _copy_to_user+0x40/0x60
[   44.929105]  [<c0447660>] ? __do_page_fault+0x5d0/0x5d0
[   44.929109]  [<c044767a>] do_page_fault+0x1a/0x20
[   44.929112]  [<c0b1d2b4>] error_code+0x6c/0x74
[   44.929115] ---[ end trace d1e2e0e42481c1e4 ]---
[   44.929116] Mapped at:
[   44.929118]  [<c076a292>] debug_dma_alloc_coherent+0x22/0x70
[   44.929122]  [<c0867cbb>] dmam_alloc_coherent+0xdb/0x130
[   44.929126]  [<c08b798d>] ahci_port_start+0xed/0x230
[   44.929129]  [<c089d23b>] ata_host_start.part.24+0xcb/0x1b0
[   44.929133]  [<c08a2a35>] ata_host_activate+0x45/0x100

ahci:
00:09.0 SATA controller: NVIDIA Corporation MCP78S [GeForce 8200] AHCI Controller (rev a2)
and
snd_hda_intel:
00:07.0 Audio device: NVIDIA Corporation MCP72XE/MCP72P/MCP78U/MCP78S High Definition Audio (rev a1)
swapped the roles. :)
mt7601Usta is irrelevant as tainter, here.


Note You need to log in before you can comment on or make changes to this bug.